apiVersion: maistra.io/v1
kind: ServiceMeshControlPlane
metadata:
  name: install-istio-system
spec:
  istio:
    global:
      imagePullPolicy: Always
      hub: quay.io/maistra
      tag: 1.0.0
      imagePullSecrets:
       - maistra-kiali-pull-secret
    tracing:
      enabled: true
      jaeger:
        hub: quay.io/maistra
        tag: 1.13.1
        elasticsearch:
         image: quay.io/openshift/origin-logging-elasticsearch5:4.1
         resources:
          requests:
            cpu: "500m"
            memory: "512Mi"
          limits:
            cpu: "2"
            memory: "1Gi"
    kiali:
      hub: quay.io/maistra
      tag: 1.0.5
  threeScale:
    enabled: true
    hub: quay.io/3scale
    tag: v1.0.0